{
    Copyright (C) 2010  Andrew Stawowczyk Long

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact: info@dohm.com.au
}



unit coca_ref;

interface

uses
  Windows, Messages, SysUtils, Graphics, Controls, Forms,
  Dialogs, AdvGlassButton, AdvSmoothPanel, StdCtrls ,{$IFDEF D6}Variants, {$ENDIF D6}Classes,
  plsLangMan, AdvCombo;

type
  TForm8 = class(TForm)
    AdvSmoothPanel7: TAdvSmoothPanel;
    CancelBtn: TAdvGlassButton;
    Ref_List: TAdvComboBox;
    AdvGlassButton2: TAdvGlassButton;
    Label1: TLabel;
    procedure CancelBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure AdvGlassButton2Click(Sender: TObject);
  private
    { Private declarations }
    procedure WMLanguageChanged(var Message: TMessage);
    procedure LanguageChanged(Sender:TObject);
  public
    { Public declarations }
  end;

var
  Form8: TForm8;

implementation

uses coca_main, plsDialogs;

{$R *.dfm}

procedure TForm8.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Action:=caFree;
end;

procedure TForm8.FormCreate(Sender: TObject);
begin
 LanguageChanged(Self);
end;

procedure TForm8.AdvGlassButton2Click(Sender: TObject);
begin
  case Ref_List.ItemIndex of
    0: ModalResult:=2;
    1: ModalResult:=3;
    2: ModalResult:=4;
    3: ModalResult:=5;
    4: ModalResult:=6;
    5: ModalResult:=7;
    else
      ModalResult:= -1;
  end;
end;

procedure TForm8.CancelBtnClick(Sender: TObject);
begin
  ModalResult:=-1;
end;

procedure TForm8.WMLanguageChanged(var Message: TMessage);
begin
  LanguageChanged(Self);  // perform language changed event when language is changed by the user
  Message.Result := 0;
end;

procedure TForm8.LanguageChanged(Sender:TObject);
begin
if not LanguageManager.LangVCL(Self) then
    MessageDlg(LanguageManager.LanguageName+' ('+LanguageManager.LanguageCode+
      '): ['+Self.Name+' ('+Self.ClassName+')] '+LanguageManager.LastError, mtWarning, [mbOK],0);
end;

end.
